<?php 
/**
 * Rotas padrões dos pacotes 
 *
 * @author  Luís Dalmolin <luis@escape.ppg.br>
 */


# ==================================================================
# filtro de login do manager 
# ==================================================================
Route::filter('manager.auth', function()
{
    if (Auth::guest()) return Redirect::route('manager.login');
});


Route::group(array('prefix' => Config::get('manager::url')), function()
{
    # ==================================================================
    # login 
    # ==================================================================
    Route::get('login', array('as' => 'manager.login', 'uses' => 'EscapeWork\Manager\LoginController@index'));
    Route::post('login', 'EscapeWork\Manager\LoginController@login');
    Route::get('logout', array('as' => 'manager.logout', 'uses' => 'EscapeWork\Manager\LoginController@logout'));


    # ==================================================================
    # grupo que precisa de autenticação 
    # ==================================================================
    Route::group(array('before' => 'manager.auth'), function()
    {
        # ==================================================================
        # home 
        # ==================================================================
        Route::get('/', array('as' => 'manager.home', function() 
        {
            return View::make('manager::home');
        }));

        # ==================================================================
        # usuários 
        # ==================================================================
        Route::get('usuarios', array('as' => 'manager.usuarios.index', 'uses' => 'EscapeWork\Manager\UserController@index'));
        Route::get('usuarios/create', array('as' => 'manager.usuarios.create', 'uses' => 'EscapeWork\Manager\UserController@create'));
        Route::post('usuarios', array('as' => 'manager.usuarios.store', 'uses' => 'EscapeWork\Manager\UserController@store'));
        Route::get('usuarios/{id}', array('as' => 'manager.usuarios.show', 'uses' => 'EscapeWork\Manager\UserController@show'));
        Route::get('usuarios/{id}/edit', array('as' => 'manager.usuarios.edit', 'uses' => 'EscapeWork\Manager\UserController@edit'));
        Route::put('usuarios/{id}', array('as' => 'manager.usuarios.update', 'uses' => 'EscapeWork\Manager\UserController@update'));
        Route::delete('usuarios/{id}', array('as' => 'manager.usuarios.destroy', 'uses' => 'EscapeWork\Manager\UserController@destroy'));
    });
});